Prompts
Publish Prompt
Assign a new tag to a specific prompt version. If the tag already exists, it will be updated to point to the specified version. If the tag does not exist, it will be created.
POST
/
prompts
/
{slug}
/
publish
Publish a prompt version with a tag
curl --request POST \
--url https://api.getbasalt.ai/prompts/{slug}/publish \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"newTag": "production",
"version": "1.0.0",
"tag": "latest"
}
'import requests
url = "https://api.getbasalt.ai/prompts/{slug}/publish"
payload = {
"newTag": "production",
"version": "1.0.0",
"tag": "latest"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({newTag: 'production', version: '1.0.0', tag: 'latest'})
};
fetch('https://api.getbasalt.ai/prompts/{slug}/publish', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"deploymentTag": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"label": "production"
}
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The slug of the prompt to publish
Example:
"my-prompt-slug"
Body
application/json
Response
The deployment tag was successfully created or updated
The deployment tag that was created or updated
Show child attributes
Show child attributes
Example:
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"label": "production"
}
Was this page helpful?
⌘I
Publish a prompt version with a tag
